cdac.medinfo.ccd.datatype

## Class PPDTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.TS
      - - cdac.medinfo.ccd.datatype.PPDTS

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    IVXBPPDTS, SXCMPPDTS

      public class PPDTS
      extends TS

  Java class for PPD_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PPD_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}TS">
             <sequence>
               <element name="standardDeviation" type="{urn:hl7-org:v3}PQ" minOccurs="0"/>
             </sequence>
             <attribute name="distributionType" type="{urn:hl7-org:v3}ProbabilityDistributionType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PPDTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProbabilityDistributionType` | `getDistributionType()` Gets the value of the distributionType property.
    `PQ` | `getStandardDeviation()` Gets the value of the standardDeviation property.
    `void` | `setDistributionType(ProbabilityDistributionType value)` Sets the value of the distributionType property.
    `void` | `setStandardDeviation(PQ value)` Sets the value of the standardDeviation property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.TS

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PPDTS

          public PPDTS()

  - ### Method Detail

    - #### getStandardDeviation

          public PQ getStandardDeviation()

      Gets the value of the standardDeviation property.
      Returns:
        possible object is `PQ`

    - #### setStandardDeviation

          public void setStandardDeviation(PQ value)

      Sets the value of the standardDeviation property.
      Parameters:
        `value` - allowed object is `PQ`

    - #### getDistributionType

          public ProbabilityDistributionType getDistributionType()

      Gets the value of the distributionType property.
      Returns:
        possible object is `ProbabilityDistributionType`

    - #### setDistributionType

          public void setDistributionType(ProbabilityDistributionType value)

      Sets the value of the distributionType property.
      Parameters:
        `value` - allowed object is `ProbabilityDistributionType`